with import <nixpkgs> {};
stdenv.mkDerivation rec {
  name = "mutrace-${version}";
  version = "20150510";

  src = fetchFromGitHub {
    owner = "dbpercona";
    repo = "mutrace";
    rev = "3f71fc9752f6b5c673f9fd5d2dd30ac9af1b045d";
    sha256 = "0h1vsfbvm70mw4i7dyai9c8i5yfjyinqd18is7cmjn7l6my532qi";
  };

  nativeBuildInputs = [ autoreconfHook ];
  buildInputs = [ binutils libiberty ];

  CFLAGS = [ "-DPACKAGE" "-I${libiberty}/include/libiberty" ];

  postInstall = ''
    sed -i "s,libm,$out/lib/\\0," $out/bin/*
  '';
}
